From 1fa7980032e16dd9c3922dc215a1b36f1b41822f Mon Sep 17 00:00:00 2001
From: MatheusMello <mat.mello93@gmail.com>
Date: Sep 12 2017 03:34:33 +0000
Subject: [PATCH 1/3] Header


---

diff --git a/src/components/shared/HeaderK.vue b/src/components/shared/HeaderK.vue
index d2e69e5..c9f55d2 100644
--- a/src/components/shared/HeaderK.vue
+++ b/src/components/shared/HeaderK.vue
@@ -6,14 +6,12 @@
           <md-icon>menu</md-icon>
         </md-layout>
         <md-layout :md-flex="15">
-          <h2 class="md-title;">Kiskadee</h2>
+          <a href=""><h2 class="md-title">Kiskadee</h2></a>
         </md-layout>
-        <md-layout md-flex-offset="50" >
-            <form novalidate @submit.stop.prevent="submit">
-              <md-input-container>
-                <md-input placeholder="Find package"></md-input>
-              </md-input-container>
-            </form>
+        <md-layout md-flex-offset="70">
+          <div class="pull-right">
+            <a href=""><h2 class="md-title">Login</h2></a>
+          </div>
         </md-layout>
       </md-layout>
     </md-toolbar>
@@ -33,4 +31,31 @@ export default {
 
 <style scoped>
 
+.md-layout {
+  background-color: #1f305a;
+}
+
+.md-toolbar {
+  line-height: 10px;
+  min-height: 40px;
+}
+
+h2 {
+  font-size: 1.2em;
+}
+
+a {
+  text-decoration: none;
+  color: white!important;
+}
+
+a:hover {
+  text-decoration: none!important;
+  color: rgba(153, 182, 252, 0.7)!important;
+}
+
+.pull-right {
+   margin-left: 30px;
+}
+
 </style>

From 2d935979789d6eb1882164acf71c0b7592a11042 Mon Sep 17 00:00:00 2001
From: MatheusMello <mat.mello93@gmail.com>
Date: Sep 12 2017 03:34:54 +0000
Subject: [PATCH 2/3] MD Pallete and Configuration


---

diff --git a/src/App.vue b/src/App.vue
index 0ec5f1f..7aaf298 100644
--- a/src/App.vue
+++ b/src/App.vue
@@ -1,5 +1,5 @@
 <template>
-  <div id="app"> 
+  <div id="app">
     <router-view></router-view>
   </div>
 </template>
diff --git a/src/components/home/Home.vue b/src/components/home/Home.vue
index 7341376..4495bf0 100644
--- a/src/components/home/Home.vue
+++ b/src/components/home/Home.vue
@@ -1,17 +1,20 @@
 <template>
   <div>
     <header-kiskadee></header-kiskadee>
+    <search-bar></search-bar>
     <list-packages></list-packages>
   </div>
 </template>
 
 <script>
 import HeaderK from '../shared/HeaderK.vue'
+import Search from '../shared/Search.vue'
 import List from '../packages/List.vue'
 
 export default {
   components: {
     'header-kiskadee': HeaderK,
+    'search-bar': Search,
     'list-packages': List
   }
 }
@@ -19,4 +22,4 @@ export default {
 
 <style lang="scss" scoped>
 
-</style>
\ No newline at end of file
+</style>
diff --git a/src/components/shared/Search.vue b/src/components/shared/Search.vue
new file mode 100644
index 0000000..c7bccb4
--- /dev/null
+++ b/src/components/shared/Search.vue
@@ -0,0 +1,22 @@
+<template>
+  <div>
+
+  </div>
+</template>
+
+<script>
+export default {
+  data () {
+    return {
+      say_my_name: 'Kiskadee'
+    }
+  }
+}
+
+</script>
+
+<style scoped>
+
+
+
+</style>
diff --git a/src/main.js b/src/main.js
index a025eca..b009d4c 100644
--- a/src/main.js
+++ b/src/main.js
@@ -20,9 +20,27 @@ Vue.use(VueMaterial)
 
 Vue.use(VueRouter)
 
+Vue.material.registerPalette('fedora', {
+  50: '#1f305a',
+  100: '#1f305a',
+  200: '#1f305a',
+  300: '#1f305a',
+  400: '#1f305a',
+  500: '#1f305a',
+  600: '#1f305a',
+  700: '#1f305a',
+  800: '#1f305a',
+  900: '#1f305a',
+  A100: '#1f305a',
+  A200: '#1f305a',
+  A400: '#1f305a',
+  A700: '#1f305a',
+  darkText: [ 50, 100, 'A100', 'A200' ]
+})
+
 Vue.material.registerTheme('default', {
   primary: {
-    color: 'teal',
+    color: 'fedora',
     hue: '500'
   },
   accent: 'black',

From daddf22dd800d0fa38e858525c68b22376612813 Mon Sep 17 00:00:00 2001
From: MatheusMello <mat.mello93@gmail.com>
Date: Sep 12 2017 04:44:36 +0000
Subject: [PATCH 3/3] Search Component


---

diff --git a/src/components/shared/HeaderK.vue b/src/components/shared/HeaderK.vue
index c9f55d2..5896efe 100644
--- a/src/components/shared/HeaderK.vue
+++ b/src/components/shared/HeaderK.vue
@@ -8,7 +8,7 @@
         <md-layout :md-flex="15">
           <a href=""><h2 class="md-title">Kiskadee</h2></a>
         </md-layout>
-        <md-layout md-flex-offset="70">
+        <md-layout md-align="end" md-flex-offset="70">
           <div class="pull-right">
             <a href=""><h2 class="md-title">Login</h2></a>
           </div>
@@ -55,7 +55,7 @@ a:hover {
 }
 
 .pull-right {
-   margin-left: 30px;
+   margin-right: 20px;
 }
 
 </style>
diff --git a/src/components/shared/Search.vue b/src/components/shared/Search.vue
index c7bccb4..97e81b4 100644
--- a/src/components/shared/Search.vue
+++ b/src/components/shared/Search.vue
@@ -1,6 +1,20 @@
 <template>
   <div>
+    <md-layout class="search-wrapper">
+      <md-layout md-flex="100" md-align="center">
+        <h1>Find Projects</h1>
+      </md-layout>
+      <md-layout md-flex="100" md-align="center">
+        <h4>2 new projects recently added</h4>
+      </md-layout>
+      <md-layout md-flex="100" md-align="center">
+        <div class="wrapper">
+          <input placeholder="Find projects..." type="text">
+          <a href=""><i class="material-icons search-icon">search</i></a>
+        </div>
+      </md-layout>
 
+    </md-layout>
   </div>
 </template>
 
@@ -17,6 +31,65 @@ export default {
 
 <style scoped>
 
+/*<!-- <a href="http://www.freepik.com/free-photos-vectors/background">Background vector created by Harryarts - Freepik.com</a> -->*/
+
+.search-wrapper {
+  background-image: url('/static/grey.jpg');
+  background-size: cover;
+  background-color: rgb(228, 227, 227);
+  min-height: 200px;
+}
+
+h1 {
+  text-transform: uppercase;
+  font-size: 4em;
+  line-height: 1;
+  font-weight: 300;
+}
+
+h4 {
+  margin-top: -20px;
+  font-size: 1.4em;
+  font-weight: 300;
+  color: rgb(31, 48, 90);
+}
+
+input {
+  padding: 8px 5px;
+  width: 450px;
+  font-size: 1.2em;
+  line-height: 30px;
+}
+
+.wrapper {
+  position: relative;
+  margin-bottom: 30px;
+}
+
+.search-icon {
+  position: absolute;
+  font-size: 40px;
+  line-height: 30px;
+  top: 11px;
+  right: 5px;
+}
+
+a {
+  text-decoration: none;
+}
+
+a:visited {
+  color: black;
+}
+
+input:focus {
+  border-color: rgb(31, 48, 90);
+  box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 8px rgba(31, 48, 90, 0.6);
+}
+
+
+
+
 
 
 </style>
diff --git a/static/grey.jpg b/static/grey.jpg
new file mode 100644
index 0000000..439687a
Binary files /dev/null and b/static/grey.jpg differ

